## python-mkdocs 0.11.1

=== requirements.txt ===
Jinja2>=2.7.1
Markdown>=2.3.1,<2.5
PyYAML>=3.10
watchdog>=0.7.0
ghp-import>=0.4.1

=== debian/changelog ===
python-mkdocs (0.11.1-3) unstable; urgency=medium

  * Fix typo in suggests. Closes: #782597.
  * Move to text section. Closes: #782756.

 -- Brian May <bam@debian.org>  Thu, 23 Apr 2015 15:10:07 +1000

python-mkdocs (0.11.1-2) unstable; urgency=medium

  * Add OFL-1.1 to debian/copyright.
  * Initial Debian upload. (Closes: #778269)

 -- Brian May <bam@debian.org>  Mon, 13 Apr 2015 15:08:23 +1000

python-mkdocs (0.11.1-1) unstable; urgency=medium

  * Initial release.

 -- Brian May <bam@debian.org>  Fri, 13 Feb 2015 10:27:40 +1100

=== debian/control ===
Source: python-mkdocs
Section: text
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Brian May <bam@debian.org>
Build-Depends: debhelper (>= 9), dh-python,
 python3-all (>= 3.2), python3-setuptools, python3-markdown (>= 2.1.0),
 python3-jinja2, python3-yaml, python3-watchdog, python3-pkg-resources,
Standards-Version: 3.9.6
Homepage: http://www.mkdocs.org/

Package: mkdocs
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-pkg-resources,
 fonts-font-awesome,
Suggests: mkdocs-doc, ghp-import
Description: Static site generator geared towards building project documentation
 MkDocs is a fast, simple and downright gorgeous static site generator
 that's geared towards building project documentation. Documentation
 source files are written in Markdown, and configured with a single YAML
 configuration file.

Package: mkdocs-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Static site generator (documentation)
 MkDocs is a fast, simple and downright gorgeous static site generator
 that's geared towards building project documentation. Documentation
 source files are written in Markdown, and configured with a single YAML
 configuration file.
 .
 This package contains the HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

PREFIX = debian/mkdocs

export PYBUILD_DESTDIR_python3=debian/mkdocs/

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	for name in ./mkdocs/themes/*; do \
	    cp debian/missing-sources/jquery-1.10.2.min.js $$name/js; \
	done

	dh_auto_build
	PYTHONPATH=. ./mkdocs/main.py build
	mkdir docs.debian
	mv site docs.debian/html

override_dh_auto_install:
	dh_auto_install
	find debian -name LICENSE -exec rm -f {} \;;
	find debian -type d -empty -delete
	
	set -e; for FILENAME in fontawesome-webfont.ttf fontawesome-webfont.svg fontawesome-webfont.eot fontawesome-webfont.woff; do \
		find $(PREFIX) -name $$FILENAME -exec \
			ln -sf /usr/share/fonts-font-awesome/fonts/$$FILENAME {} \;; \
	done

override_dh_auto_clean:
	dh_auto_clean
	rm -rf site docs.debian
	find mkdocs -name "jquery-1.10.2.min.js" -exec rm -f {} \;;

## python-mkdocs 0.14.0

=== debian/changelog ===
python-mkdocs (0.14.0-1ubuntu2) xenial; urgency=medium

  * Build-depend on python3-click again now that it has reclaimed its name.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 12 Feb 2016 11:40:08 +0000

python-mkdocs (0.14.0-1ubuntu1) xenial; urgency=medium

  * Build-depend on python3-click-cli instead of python3-click to fix FTBFS.
  * Export C locale variables in debian/rules to make click work.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 06 Nov 2015 16:27:44 -0500

python-mkdocs (0.14.0-1) UNRELEASED; urgency=medium

  * New upstream version.
  * Add missing Vcs-* headers.
  * Fix debian/watch file.

 -- Brian May <bam@debian.org>  Wed, 14 Oct 2015 08:32:17 +1100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,17 @@
 Source: python-mkdocs
 Section: text
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Brian May <bam@debian.org>
 Build-Depends: debhelper (>= 9), dh-python,
  python3-all (>= 3.2), python3-setuptools, python3-markdown (>= 2.1.0),
  python3-jinja2, python3-yaml, python3-watchdog, python3-pkg-resources,
+ python3-click,
 Standards-Version: 3.9.6
 Homepage: http://www.mkdocs.org/
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-mkdocs.git
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-mkdocs.git
 
 Package: mkdocs
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -4,19 +4,19 @@
 PREFIX = debian/mkdocs
 
 export PYBUILD_DESTDIR_python3=debian/mkdocs/
+export LC_ALL=C.UTF-8
+export LANG=C.UTF-8
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_build:
-	for name in ./mkdocs/themes/*; do \
-	    cp debian/missing-sources/jquery-1.10.2.min.js $$name/js; \
-	done
-
 	dh_auto_build
-	PYTHONPATH=. ./mkdocs/main.py build
+	LANG=C.UTF-8 PYTHONPATH=. ./debian/scripts/mkdocs build
 	mkdir docs.debian
 	mv site docs.debian/html
+	
+	rm docs.debian/html/license/highlight.js/LICENSE
 
 override_dh_auto_install:
 	dh_auto_install
@@ -31,4 +31,3 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf site docs.debian
-	find mkdocs -name "jquery-1.10.2.min.js" -exec rm -f {} \;;

## python-mkdocs 0.15.3

=== debian/changelog ===
python-mkdocs (0.15.3-5) unstable; urgency=medium

  * Support Reproducible builds. Closes: #831648.

 -- Brian May <bam@debian.org>  Fri, 29 Jul 2016 08:12:18 +1000

python-mkdocs (0.15.3-4) unstable; urgency=medium

  * Ensure build depends get generated correctly. Closes: #829656.

 -- Brian May <bam@debian.org>  Fri, 15 Jul 2016 18:25:17 +1000

python-mkdocs (0.15.3-3) unstable; urgency=medium

  * Look for theme files under /usr/share. Closes: #820783.

 -- Brian May <bam@debian.org>  Wed, 11 May 2016 10:45:56 +1000

python-mkdocs (0.15.3-2) unstable; urgency=medium

  * Forgot to remove UNRELEASED from changelog. Retry.

 -- Brian May <bam@debian.org>  Mon, 02 May 2016 16:26:17 +1000

python-mkdocs (0.15.3-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Mon, 02 May 2016 16:26:11 +1000

python-mkdocs (0.14.0-1) unstable; urgency=medium

  * New upstream version.
  * Add missing Vcs-* headers.
  * Fix debian/watch file.

 -- Brian May <bam@debian.org>  Wed, 14 Oct 2015 08:32:17 +1100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: python-mkdocs
 Section: text
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Brian May <bam@debian.org>
 Build-Depends: debhelper (>= 9), dh-python,
  python3-all (>= 3.2), python3-setuptools, python3-markdown (>= 2.1.0),
  python3-jinja2, python3-yaml, python3-watchdog, python3-pkg-resources,
- python3-click,
-Standards-Version: 3.9.6
+ python3-click, python3-tornado, python3-livereload,
+ mkdocs-bootstrap (>=0.1.1), mkdocs-bootswatch (>=0.1.0),
+Standards-Version: 3.9.8
 Homepage: http://www.mkdocs.org/
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-mkdocs.git
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-mkdocs.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-mkdocs.git
 
 Package: mkdocs
 Architecture: all

## python-mkdocs 0.16.3

=== debian/changelog ===
python-mkdocs (0.16.3-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 19 Dec 2017 14:54:48 -0200

python-mkdocs (0.16.3-1) experimental; urgency=medium

  * Team upload

  [ Brian May ]
  * New upstream version.
  * Bump Build-Dependency on python-livereload to >= 2.5.1-1~

  [ Antonio Terceiro ]
  * debian/copyright: fix typo (themese -> themes)
  * Update standards version to 4.1.2; no changes needed.

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 19 Dec 2017 11:01:26 -0200

python-mkdocs (0.16.1-1) experimental; urgency=medium

  * New upstream version. Closes: #852078.

 -- Brian May <bam@debian.org>  Sat, 11 Mar 2017 10:55:27 +1100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: debhelper (>= 9), dh-python,
  python3-all (>= 3.2), python3-setuptools, python3-markdown (>= 2.1.0),
  python3-jinja2, python3-yaml, python3-watchdog, python3-pkg-resources,
- python3-click, python3-tornado, python3-livereload,
+ python3-click, python3-tornado, python3-livereload (>= 2.5.1-1~),
  mkdocs-bootstrap (>=0.1.1), mkdocs-bootswatch (>=0.1.0),
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Homepage: http://www.mkdocs.org/
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-mkdocs.git
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-mkdocs.git

=== debian/rules ===
--- 
+++ 
@@ -4,19 +4,18 @@
 PREFIX = debian/mkdocs
 
 export PYBUILD_DESTDIR_python3=debian/mkdocs/
-export LC_ALL=C.UTF-8
-export LANG=C.UTF-8
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build
-	LANG=C.UTF-8 PYTHONPATH=. ./debian/scripts/mkdocs build
+	LC_ALL=C.UTF-8 PYTHONPATH=. ./debian/scripts/mkdocs build
 	mkdir docs.debian
 	mv site docs.debian/html
 	
 	rm docs.debian/html/license/highlight.js/LICENSE
+	rm -rf docs.debian/html/__pycache__
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=3
https://github.com/tomchristie/mkdocs/tags .*/(\d[\d\.]+)\.tar\.gz

## python-mkdocs 0.17.5+dfsg

=== debian/changelog ===
python-mkdocs (0.17.5+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (fixes Python 3.7 compatibility).
  * Refresh 0002-Use-themes-from-usr-share-mkdocs-themes.patch.
  * Do not install tests.
  * Bump Standards-Version to 4.1.5, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 06 Jul 2018 23:07:03 +0300

python-mkdocs (0.17.4+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Symlink bootstrap-custom.min.css to the version of Bootstrap from
    Cerulean theme of bootswatch package (closes: #901741). It was
    originally copied from version 3.0.3+1 of bootswatch.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 22 Jun 2018 13:44:41 +0300

python-mkdocs (0.17.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Ship our own version of /usr/bin/mkdocs script.
    We cannot rely on entry points, because pkg_resources import must
    happen after sys.path is altered in mkdocs/__init__.py. If it happens
    earlier then mkdocs will not see the custom themes.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 11 Jun 2018 10:16:31 +0300

python-mkdocs (0.17.3+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Dmitry Shachnev ]
  * New upstream release.
  * Refresh 0002-Use-themes-from-usr-share-mkdocs-themes.patch.
  * Update upstream URLs in debian/copyright and debian/watch.
  * Do not specify maximum version of Tornado module (allow 5.x).
  * Add a patch to make the tests pass when the current directory name
    is different from ‘mkdocs’.
  * Run upstream tests during build.
  * Build-Depend on dh-python ≥ 3.20180313, for testfiles feature.
  * Replace all JS, CSS files and fonts in mkdocs and mkdocs-doc with
    symlinks to packaged versions (closes: #832360).
  * Simplify the command to build docs, remove the custom script.
  * Remove privacy breaches in mkdocs-doc package.
  * Prevent search_index.json from being compressed.
  * Disable use_directory_urls configuration option, to make it easier
    to browse the documentation locally.
  * Remove trailing whitespace in debian/copyright.
  * Add build-dependency on python3-mock.
  * Add *.md files to the MANIFEST to make the tests pass.
  * Export LC_ALL=C.UTF-8 globally to fix more tests failures.
  * Make test_deploy_error pass when Git is not installed.
  * Remove mkdocs-bootstrap and mkdocs-bootswatch build-dependencies.
    They are not needed to build mkdocs since version 0.16.0.
  * Disable two scripts from third-party websites, needed only for IE 8.
  * Break mkdocs-bootstrap < 0.2.
  * Repack the tarball without minified JS/CSS files and fonts.
  * Use https protocol in the Homepage field.
  * Update to debhelper compatibility level 11.
  * Bump Standards-Version to 4.1.4, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 25 May 2018 16:08:45 +0300

=== debian/control ===
Source: python-mkdocs
Section: text
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Brian May <bam@debian.org>
Build-Depends:
 debhelper (>= 11),
 dh-python (>= 3.20180313),
 python3-all (>= 3.2),
 python3-click,
 python3-jinja2,
 python3-livereload (>= 2.5.1-1~),
 python3-markdown (>= 2.1.0),
 python3-mock,
 python3-pkg-resources,
 python3-setuptools,
 python3-tornado,
 python3-watchdog,
 python3-yaml
Standards-Version: 4.1.5
Homepage: https://www.mkdocs.org/
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-mkdocs
Vcs-Git: https://salsa.debian.org/python-team/modules/python-mkdocs.git

Package: mkdocs
Architecture: all
Depends:
 fonts-font-awesome,
 libjs-bootstrap,
 libjs-bootswatch,
 libjs-highlight.js,
 libjs-jquery,
 libjs-modernizr,
 libjs-mustache,
 libjs-requirejs,
 libjs-requirejs-text,
 python3-pkg-resources,
 sphinx-rtd-theme-common,
 ${misc:Depends},
 ${python3:Depends}
Suggests: ghp-import, mkdocs-doc
Breaks: mkdocs-bootstrap (<< 0.2)
Description: Static site generator geared towards building project documentation
 MkDocs is a fast, simple and downright gorgeous static site generator
 that's geared towards building project documentation. Documentation
 source files are written in Markdown, and configured with a single YAML
 configuration file.

Package: mkdocs-doc
Section: doc
Architecture: all
Depends:
 fonts-font-awesome,
 libjs-bootstrap,
 libjs-bootswatch,
 libjs-highlight.js,
 libjs-jquery,
 libjs-mustache,
 libjs-requirejs,
 libjs-requirejs-text,
 ${misc:Depends}
Description: Static site generator (documentation)
 MkDocs is a fast, simple and downright gorgeous static site generator
 that's geared towards building project documentation. Documentation
 source files are written in Markdown, and configured with a single YAML
 configuration file.
 .
 This package contains the HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_DESTDIR_python3=debian/mkdocs/
export PYBUILD_TEST_ARGS=-s mkdocs/tests -p "*_tests.py"
export LC_ALL=C.UTF-8

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m mkdocs build -d docs.debian/html
	
	rm docs.debian/html/license/highlight.js/LICENSE
	rm -rf docs.debian/html/__pycache__

override_dh_auto_install:
	dh_auto_install
	rm debian/mkdocs/usr/bin/mkdocs
	find debian -name LICENSE -exec rm -f {} \;;
	find debian -type d -empty -delete

override_dh_auto_clean:
	dh_auto_clean
	rm -rf site docs.debian

override_dh_compress:
	dh_compress -Xsearch_index.json

## python-mkdocs 1.0.4+dfsg

=== debian/changelog ===
python-mkdocs (1.0.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Disable non-English search support. The lunr-languages library is
    unmaintained upstream and incompatible with the latest lunr.js, which
    we are going to use.
  * Also remove lunr-languages from the tarball, these files are not in
    the preferred form of modification.
  * Refresh 0001-Use-themes-from-usr-share-mkdocs-themes.patch.
  * Add dh_mkdocs helper script, that can automatically symlink static
    files and remove usage of external highlight.js.
  * Call dh_mkdocs during build to fixup highlight.js usage.
  * Remove usage of fonts.googleapis.com in readthedocs theme.
  * Use packaged libjs-lunr.
  * Override false-positive Lintian warning about privacy-breach-generic
    in the theme templates (it is not present in the built documentation).
  * Upload to unstable (closes: #907256).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 19 Dec 2018 13:27:22 +0300

python-mkdocs (1.0.2+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Files-Excluded in preparation for packaging 1.0 release.
  * Drop patches, applied upstream:
    - 0001-Do-not-specify-maximum-version-of-tornado.patch
    - 0003-Make-test_doc_dir_in_site_dir-work-with-custom-build.patch
    - 0007-Make-test_deploy_error-pass-when-Git-is-not-installe.patch
  * Refresh, rebase and renumber other patches.
  * Disable the Markdown GitHub links extension until it is packaged.
  * Stop removing highlight.js/LICENSE, it is no longer shipped.
  * Disable a test line that asserts that the fonts directory exists,
    it is not the case with our repacked tarballs.
  * In mkdocs-doc, replace usage of external highlight.js with packaged
    version using sed.
  * Update mkdocs.links and mkdocs-doc.links for the new release.
  * Drop no longer needed dependencies on mustache and requirejs.
  * Suggest nodejs, needed for pre-building search index.
  * Drop debian/missing-sources/lunr.js, upstream now ships non-minified
    version on lunr.
  * Update debian/copyright.
  * Add mkdocs.egg-info/ to debian/clean.
  * Drop debian/py3dist-overrides, no longer needed.
  * Stop documenting the removed json command in the manpage.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 25 Aug 2018 16:05:36 +0300

=== debian/control ===
--- 
+++ 
@@ -28,17 +28,14 @@
  fonts-font-awesome,
  libjs-bootstrap,
  libjs-bootswatch,
- libjs-highlight.js,
  libjs-jquery,
+ libjs-lunr,
  libjs-modernizr,
- libjs-mustache,
- libjs-requirejs,
- libjs-requirejs-text,
  python3-pkg-resources,
  sphinx-rtd-theme-common,
  ${misc:Depends},
  ${python3:Depends}
-Suggests: ghp-import, mkdocs-doc
+Suggests: ghp-import, mkdocs-doc, nodejs
 Breaks: mkdocs-bootstrap (<< 0.2)
 Description: Static site generator geared towards building project documentation
  MkDocs is a fast, simple and downright gorgeous static site generator
@@ -53,12 +50,10 @@
  fonts-font-awesome,
  libjs-bootstrap,
  libjs-bootswatch,
- libjs-highlight.js,
  libjs-jquery,
- libjs-mustache,
- libjs-requirejs,
- libjs-requirejs-text,
- ${misc:Depends}
+ libjs-lunr,
+ ${misc:Depends},
+ ${mkdocs:Depends}
 Description: Static site generator (documentation)
  MkDocs is a fast, simple and downright gorgeous static site generator
  that's geared towards building project documentation. Documentation

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,6 @@
 override_dh_auto_build:
 	dh_auto_build
 	PYTHONPATH=. python3 -m mkdocs build -d docs.debian/html
-	
-	rm docs.debian/html/license/highlight.js/LICENSE
 	rm -rf docs.debian/html/__pycache__
 
 override_dh_auto_install:
@@ -21,6 +19,14 @@
 	find debian -name LICENSE -exec rm -f {} \;;
 	find debian -type d -empty -delete
 
+override_dh_installman:
+	pod2man -c Debhelper -r '' debian/scripts/dh_mkdocs debian/dh_mkdocs.1
+	dh_installman
+
+override_dh_installdocs:
+	dh_installdocs
+	./debian/scripts/dh_mkdocs
+
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf site docs.debian

## python-mkdocs 1.1.2%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -27,9 +27,5 @@
 	dh_installdocs
 	./debian/scripts/dh_mkdocs
 
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -rf site docs.debian
-
 override_dh_compress:
 	dh_compress -Xsearch_index.json

## python-mkdocs 1.1.2+dfsg

=== debian/changelog ===
python-mkdocs (1.1.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * dh_mkdocs: Add node-jquery to the list of recognized packages
    (closes: #968682).
  * Update Files-Excluded for the new release.
  * Drop debian/patches/0008-Fix-FTBFS.patch, no longer needed.
  * Rebase other patches.
  * Update symlinks from Bootstrap 3 and Bootswatch to Bootstrap 4.
  * Bump python3-jinja2 and python3-markdown required versions.
  * Remove Lunr.py support, it is not packaged in Debian.
  * Remove unused python3-mock and python3-watchdog build-dependencies.
  * Add missing theme.js and fonts symlinks for the readthedocs theme.
  * Update mkdocs.lintian-overrides for the new readthedocs template.
  * Update dh_mkdocs for switch to Bootstrap 4.
  * Make toc.html look better with default Bootstrap theme. (Bootswatch
    is not packaged in Debian for Bootstrap 4.)

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 28 Aug 2020 21:30:40 +0300

python-mkdocs (1.0.4+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Lukas Märdian ]
  * Adopt link target of font-awesome files
    - fonts-font-awesome 5.0.10+really4.7.0~dfsg-2 provides only OpenType
      and TrueType under /usr/share/fonts/
  * Fix FTBFS (Closes: #963337)
  * Add integration test to check for correct (font) links

  [ Dmitry Shachnev ]
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 08 Jul 2020 14:18:20 +0300

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,18 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Brian May <bam@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python (>= 3.20180313),
  python3-all (>= 3.2),
  python3-click,
- python3-jinja2,
+ python3-jinja2 (>= 2.10.1),
  python3-livereload (>= 2.5.1-1~),
- python3-markdown (>= 2.1.0),
- python3-mock,
+ python3-markdown (>= 3.2.1),
  python3-pkg-resources,
  python3-setuptools,
  python3-tornado,
- python3-watchdog,
  python3-yaml
-Standards-Version: 4.1.5
+Standards-Version: 4.5.0
 Homepage: https://www.mkdocs.org/
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-mkdocs
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-mkdocs.git
@@ -26,8 +24,7 @@
 Architecture: all
 Depends:
  fonts-font-awesome,
- libjs-bootstrap,
- libjs-bootswatch,
+ libjs-bootstrap4,
  libjs-jquery,
  libjs-lunr,
  libjs-modernizr,
@@ -48,8 +45,7 @@
 Architecture: all
 Depends:
  fonts-font-awesome,
- libjs-bootstrap,
- libjs-bootswatch,
+ libjs-bootstrap4,
  libjs-jquery,
  libjs-lunr,
  ${misc:Depends},

=== debian/tests/control ===
Tests: check-links
Depends: mkdocs, mkdocs-doc

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://github.com/mkdocs/mkdocs/tags .*/(\d[\d\.]+)\.tar\.gz

## python-mkdocs 1.3.0+dfsg

=== debian/changelog ===
python-mkdocs (1.3.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.3.0+dfsg
  * d/gbp.conf: Ignore patch numbers while pq export
  * Rebuild patch-queue from patch queue branch
    Added patch:
    debian-hacks/docs-Disable-Google-Analytics-in-mkdocs-doc.patch
    Removed patches:
    0002-Remove-privacy-breaches.patch
    0008-Disable-Lunr.py-support.patch
    0011-tests-Fixup-inclusion-for-localization-module.patch
  * d/watch: Correct Debian version mangling
  * d/control: Add new required package dependency
    python3-lunr is now available in the archive so it's usable as an
    dependency.
  * d/control: (Re-)add package python3-livereload
    This dependency was added through a patch in the patch queue which isn't
    used any more, to fulfill the need for this package add it to the
    package dependencies.
  * d/mkdocs.lintian-overrides: Ignore two template files
    These two files are not a potential privacy breach as they are just
    templates which the user needs to configure later.
  * d/mkdocs-doc.lintian-overrides: Ignore files in docu
    The documentation is build without usage of Google Analytics.
  * d/mkdocs.links: Add more linking to FontAwesome
  * d/python-mkdocs.NEWS: Create a new NEWS file
  * d/README.source: Adding default data about source

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 29 Mar 2022 08:59:53 +0200

python-mkdocs (1.2.3-1) unstable; urgency=medium

  * Team upload.
  * d/gbp.conf: Add some more defaults
  * New upstream version 1.2.3
    (Closes: #1002198)
  * Rebuild patch-queue from patch queue branch
    Added patch:
    0011-tests-Fixup-inclusion-for-localization-module.patch
  * d/watch: Update to version 4
  * d/copyright: Update content
  * d/control: Update build dependencies
  * d/control: Restructure and split off build-deps
  * d/control: Adding entry Rules-Requires-Root: no
  * d/mkdocs.lintian-overrides: Exclude HTML file within themes

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 28 Feb 2022 17:35:14 +0100

python-mkdocs (1.1.2+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Dmitry Shachnev ]
  * Backport upstream patch to fix test failure with Python ≥ 3.9.5
    (closes: #997307).
  * Remove override_dh_auto_clean target in favor of debian/clean.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 24 Oct 2021 12:53:59 +0300

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,30 @@
 Source: python-mkdocs
 Section: text
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Brian May <bam@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
- dh-python (>= 3.20180313),
- python3-all (>= 3.2),
+ debhelper-compat (= 13),
+ python3-all,
+Build-Depends-Indep:
+ dh-python,
+ ghp-import (>= 1.0),
+ mkdocs-redirects,
  python3-click,
  python3-jinja2 (>= 2.10.1),
- python3-livereload (>= 2.5.1-1~),
  python3-markdown (>= 3.2.1),
+ python3-mergedeep,
+ python3-packaging,
  python3-pkg-resources,
+ python3-pyyaml-env-tag,
  python3-setuptools,
- python3-tornado,
- python3-yaml
-Standards-Version: 4.5.0
+ python3-watchdog,
+ python3-yaml,
+Rules-Requires-Root: no
+Standards-Version: 4.6.0
 Homepage: https://www.mkdocs.org/
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-mkdocs
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-mkdocs.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mkdocs
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-mkdocs.git
 
 Package: mkdocs
 Architecture: all
@@ -28,6 +34,8 @@
  libjs-jquery,
  libjs-lunr,
  libjs-modernizr,
+ python3-livereload (>= 2.5.1),
+ python3-lunr,
  python3-pkg-resources,
  sphinx-rtd-theme-common,
  ${misc:Depends},

=== debian/watch ===
# watch file for python-mkdocs

version=4

opts="mode=git, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+dfsg(\.?\d+)?$//" \
https://github.com/mkdocs/mkdocs.git \
      refs/tags/@ANY_VERSION@

## python-mkdocs 1.4.2+dfsg

=== debian/changelog ===
python-mkdocs (1.4.2+dfsg-2) unstable; urgency=medium

  * Team Upload.
  * [3211714] Rebuild patch queue from patch-queue branch
    Dropped patches (packages are now within the archive):
    debian-hacks/mkdocs.yml-Don-t-use-callout-markdown-extension.patch
    debian-hacks/mkdocs.yml-Don-t-use-literate-nav-plugin.patch
  * [cebfb2c] d/control: Add new build dependencies to build mkdocs-doc
    Adding mkdocs-literate-nav and python3-markdown-callouts to B-D.
  * [ed2a332] d/rules: Remove Python version in PYBUILD_DESTDIR
  * [5a2bb78] autopkgtest: Make upstream-tests more resilent

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 29 Nov 2022 09:52:02 +0100

python-mkdocs (1.4.2+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * [e4d93b1] New upstream version 1.4.2+dfsg
  * [b0819bf] Rebuild patch queue from patch-queue branch
    Just a refreshing of existing patches.
  * [bba881f] d/copyright: Update upstream year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 05 Nov 2022 10:03:14 +0100

python-mkdocs (1.4.1+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * [4fb8f7d] New upstream version 1.4.1+dfsg
  * [84a3885] Rebuild patch queue from patch-queue branch
    Removed patch:
    debian-hacks/Add-.md-files-to-the-MANIFEST.patch
  * [cd7a450] d/{control,rules}: Move over to dh-sequence-python3
  * [f00cab4] d/control: Adding new required Build-Dependencies
    Upstream switched to hatchling build together with a pyproject.toml file.
  * [9fb9074] d/rules: Adjust test environment after build
    Due to modifications within the folder structure we need to prepare and
    copy some testing data into the build folder before running the tests.
  * [43895a2] d/copyright: Adding myself to the copyright data
  * [992c76e] d/rules: Use verbose mode while mkdocs is running
  * [4d6f995] d/watch: Add repacksuffix to opts variable
  * [0079d44] d/mkdocs.lintian-overrides: Add more stuff to ignore
  * [52f2f5b] d/s/lintian-overrides: Ignore some files and folders
  * [64e2689] Salsa CI: Disable unneeded runners
  * [f42d4ec] Salsa CI: Rename Yaml file to salsa-ci.yml

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 23 Oct 2022 08:03:05 +0200

python-mkdocs (1.4.0+dfsg-3) unstable; urgency=medium

  * Team Upload.
  * [b3b226c] Rebuild patch queue from patch-queue branch
    Added patch:
    debian-hacks/s390x-Work-around-unittest-issue.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 09 Oct 2022 09:12:32 +0200

python-mkdocs (1.4.0+dfsg-2) unstable; urgency=medium

  * [a4060d7] autopkgtest: Ensure B-D installed for unittests

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 08 Oct 2022 09:33:10 +0200

python-mkdocs (1.4.0+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.4.0+dfsg
    (Closes: 1009702)
  * Rebuild patch-queue from patch queue branch
    Adjusted/rebuild patches:
    debian-hacks/Disable-non-English-search-support.patch
    debian-hacks/Disable-the-Markdown-GitHub-links-extension.patch
    debian-hacks/Disable-use_directory_urls-configuration-option.patch
    Added patches:
    debian-hacks/mkdocs.yml-Don-t-use-callout-markdown-extension.patch
    debian-hacks/mkdocs.yml-Don-t-use-literate-nav-plugin.patch
    Upstream has added the Markdown extension 'callout' and the plugin
    'literate-nav' to the mkdocs.yml file, both parts aren't yet packaged in
    Debian.
  * d/control: Adding new required Build-Dependencies
    MkDocs uses now the plugins autorefs and mkdocstrings together with the
    mkdocstrings-python-handlers Add-on and also the Markdown extension
    pymdownx which are added to the B-D in order to get the MkDocs
    documentation build.
  * d/mkdocs.lintian-overrides: Update syntax
  * d/mkdocs-doc.lintian-overrides: Update syntax
  * autopkgtest: Add upstream tests to the test queue

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 07 Oct 2022 18:23:43 +0200

python-mkdocs (1.3.0+dfsg-2) unstable; urgency=medium

  * Team Upload.
  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + mkdocs: Drop versioned constraint on python3-livereload in Depends.
    + mkdocs: Drop versioned constraint on mkdocs-bootstrap in Breaks.
  * Update standards version to 4.6.1, no changes needed.

  [ Nilesh Patra ]
  * Add python3-babel to B-D (Closes: #1020003)
  * Add babel to suggests since it is being used for i18n

 -- Nilesh Patra <nilesh@debian.org>  Sat, 01 Oct 2022 14:49:56 +0530

=== debian/control ===
--- 
+++ 
@@ -7,21 +7,30 @@
  debhelper-compat (= 13),
  python3-all,
 Build-Depends-Indep:
- dh-python,
+ dh-sequence-python3,
  ghp-import (>= 1.0),
+ mkdocs-autorefs,
+ mkdocs-click,
+ mkdocs-literate-nav,
  mkdocs-redirects,
+ mkdocstrings,
+ mkdocstrings-python-handlers,
+ pybuild-plugin-pyproject,
+ python3-babel,
  python3-click,
+ python3-hatchling,
  python3-jinja2 (>= 2.10.1),
  python3-markdown (>= 3.2.1),
+ python3-markdown-callouts,
  python3-mergedeep,
  python3-packaging,
  python3-pkg-resources,
+ python3-pymdownx,
  python3-pyyaml-env-tag,
- python3-setuptools,
  python3-watchdog,
  python3-yaml,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.mkdocs.org/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mkdocs
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-mkdocs.git
@@ -34,14 +43,13 @@
  libjs-jquery,
  libjs-lunr,
  libjs-modernizr,
- python3-livereload (>= 2.5.1),
+ python3-livereload,
  python3-lunr,
  python3-pkg-resources,
  sphinx-rtd-theme-common,
  ${misc:Depends},
  ${python3:Depends}
-Suggests: ghp-import, mkdocs-doc, nodejs
-Breaks: mkdocs-bootstrap (<< 0.2)
+Suggests: ghp-import, mkdocs-doc, nodejs, python3-babel
 Description: Static site generator geared towards building project documentation
  MkDocs is a fast, simple and downright gorgeous static site generator
  that's geared towards building project documentation. Documentation

=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,20 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-export PYBUILD_DESTDIR_python3=debian/mkdocs/
+#export DH_VERBOSE = 1
+
+export PYBUILD_DESTDIR=debian/mkdocs
+export PYBUILD_BEFORE_TEST=cp -r {dir}/mkdocs/tests {build_dir}/mkdocs
+export PYBUILD_AFTER_TEST=rm -rf {build_dir}/mkdocs/tests
 export PYBUILD_TEST_ARGS=-s mkdocs/tests -p "*_tests.py"
 export LC_ALL=C.UTF-8
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=. python3 -m mkdocs build -d docs.debian/html
+	PYTHONPATH=. python3 -m mkdocs build -v -d docs.debian/html
 	rm -rf docs.debian/html/__pycache__
 
 override_dh_auto_install:

=== debian/watch ===
--- 
+++ 
@@ -3,6 +3,7 @@
 version=4
 
 opts="mode=git, \
+      repacksuffix=+dfsg, \
       uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
       dversionmangle=s/\+dfsg(\.?\d+)?$//" \
 https://github.com/mkdocs/mkdocs.git \

## python-mkdocs 1.5.3+dfsg

=== debian/changelog ===
python-mkdocs (1.5.3+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * [efaace8] New upstream version 1.5.3+dfsg

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 01 Oct 2023 19:50:09 +0200

python-mkdocs (1.5.2+dfsg-1) unstable; urgency=medium

  * Team Upload.
  [ Bas Couwenberg ]
  * [a8cf95a] Provide dh-sequence-mkdocs.
    (Closes: #1024658)

  [ Carsten Schoenert ]
  * [d300f73] d/watch: Add compression typ gz
  * [e1a9122] d/gbp.conf: Catch all versions of minimized JQuery files
  * [bbf7ba7] New upstream version 1.5.2+dfsg
  * [2961680] Rebuild patch queue from patch-queue branch
    Adjusted patches:
    debian-hacks/Disable-the-Markdown-GitHub-links-extension.patch
    debian-hacks/Disable-use_directory_urls-configuration-option.patch
    debian-hacks/docs-Disable-Google-Analytics-in-mkdocs-doc.patch
  * [f1c643e] d/rules: Add target override_dh_clean
    (Closes: #1046685)
  * [09b8645] d/control: Add BuildProfileSpec to Build-Depends
  * [dbfc01b] d/rules: Catch nodoc DEB_BUILD_OPTIONS to disable docu build
  * [c36fb0d] d/control: Bump Standards-Version to 4.6.2
    No further changes needed.
  * [38ea797] d/copyright: Update content and year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 05 Sep 2023 19:52:06 +0530

=== debian/control ===
--- 
+++ 
@@ -5,32 +5,31 @@
 Uploaders: Brian May <bam@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
 Build-Depends-Indep:
- dh-sequence-python3,
- ghp-import (>= 1.0),
- mkdocs-autorefs,
- mkdocs-click,
- mkdocs-literate-nav,
- mkdocs-redirects,
- mkdocstrings,
- mkdocstrings-python-handlers,
- pybuild-plugin-pyproject,
+ ghp-import (>= 1.0) <!nocheck>,
+ mkdocs-autorefs <!nodoc>,
+ mkdocs-click <!nocheck> <!nodoc>,
+ mkdocs-literate-nav <!nodoc>,
+ mkdocs-redirects <!nodoc>,
+ mkdocstrings <!nodoc>,
+ mkdocstrings-python-handlers <!nodoc>,
  python3-babel,
- python3-click,
+ python3-click <!nodoc>,
  python3-hatchling,
- python3-jinja2 (>= 2.10.1),
- python3-markdown (>= 3.2.1),
- python3-markdown-callouts,
- python3-mergedeep,
- python3-packaging,
- python3-pkg-resources,
- python3-pymdownx,
- python3-pyyaml-env-tag,
- python3-watchdog,
- python3-yaml,
+ python3-jinja2 <!nocheck>,
+ python3-markdown <!nocheck>,
+ python3-markdown-callouts <!nodoc>,
+ python3-mergedeep <!nocheck>,
+ python3-platformdirs <!nocheck>,
+ python3-pymdownx <!nocheck>,
+ python3-pyyaml-env-tag <!nocheck>,
+ python3-watchdog <!nocheck>,
+ python3-yaml <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.mkdocs.org/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mkdocs
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-mkdocs.git
@@ -50,6 +49,7 @@
  ${misc:Depends},
  ${python3:Depends}
 Suggests: ghp-import, mkdocs-doc, nodejs, python3-babel
+Provides: dh-sequence-mkdocs
 Description: Static site generator geared towards building project documentation
  MkDocs is a fast, simple and downright gorgeous static site generator
  that's geared towards building project documentation. Documentation

=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,18 @@
 %:
 	dh $@ --buildsystem=pybuild
 
+override_dh_clean:
+	dh_clean
+	for mo_file in `find mkdocs/themes/ -type f -name "*.mo"`; do \
+	    rm -f $${mo_file} ;\
+	done
+
 override_dh_auto_build:
 	dh_auto_build
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=. python3 -m mkdocs build -v -d docs.debian/html
 	rm -rf docs.debian/html/__pycache__
+endif
 
 override_dh_auto_install:
 	dh_auto_install
@@ -27,9 +35,11 @@
 	pod2man -c Debhelper -r '' debian/scripts/dh_mkdocs debian/dh_mkdocs.1
 	dh_installman
 
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 override_dh_installdocs:
 	dh_installdocs
 	./debian/scripts/dh_mkdocs
+endif
 
 override_dh_compress:
 	dh_compress -Xsearch_index.json

=== debian/watch ===
--- 
+++ 
@@ -3,6 +3,7 @@
 version=4
 
 opts="mode=git, \
+      compression=gz, \
       repacksuffix=+dfsg, \
       uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
       dversionmangle=s/\+dfsg(\.?\d+)?$//" \

## python-mkdocs 1.6.1+dfsg

=== debian/changelog ===
python-mkdocs (1.6.1+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Carsten Schoenert ]
  * d/copyright: Adjust Files-Excluded for mkdocs >= 1.6.0
  * d/gbp.conf: Tune filter list here too
  * New upstream version 1.6.0+dfsg
    (Closes: #1072850, #1068235, #1067156)
  * Rebuild patch queue from patch-queue branch
    Adjusted patch:
    debian-hacks/Make-toc.html-look-better-with-default-Bootstrap-theme.patch
    Renamed (and modified) patch:
    debian-hacks/Do-not-assert-that-fonts-directory-exists.patch
    -> debian/patches/debian-hacks/Do-not-assert-that-webfonts-directory-exists.patch
  * d/rules: Clean out folder .mypy_cache in dh_clean
  * d/control: Adjust to libjs-bootstrap5 in bin packages
  * d/missing-sources: Add non minimized source files
    Adding the non minimized sources
    brand.css
    fontawesome.css
    solid.css
    v4-font-face.css
  * d/mkdocs.links: Updating the needed linking to files
  * d/mkdocs-doc.links: Updating the needed linking accordingly
  * d/README.source: Add information about minimized source
  * d/control: Update list of required Depends for bin pkgs
  * d/control: Bump Standards-Version to 4.7.0
  * d/u/metadata: Set Documentation to project website
  * d/control: Let Homepage point to the GitHub project
  * d/mkdocs{,-doc}.lintian-overrides: Adjust the entries
  * d/copyright: Extend information due new files and folders

  [ Colin Watson ]
  * New upstream version 1.6.1+dfsg.
  * docs: Adjust embedded HTML for local browsing.
  * Build-depend on python3-setuptools (closes: #1080750).
  * Fix check-links autopkgtest for changes in 1.6.0.

 -- Colin Watson <cjwatson@debian.org>  Thu, 26 Dec 2024 14:38:43 +0000

python-mkdocs (1.5.3+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Nick Morrott ]
  * dh_mkdocs: Ensure child process output is read before pipe fills up
    (closes: #1081238)

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 04 Nov 2024 14:38:50 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: text
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Brian May <bam@debian.org>
+Uploaders:
+ Brian May <bam@debian.org>,
+ Carsten Schoenert <c.schoenert@t-online.de>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -26,11 +28,12 @@
  python3-platformdirs <!nocheck>,
  python3-pymdownx <!nocheck>,
  python3-pyyaml-env-tag <!nocheck>,
+ python3-setuptools,
  python3-watchdog <!nocheck>,
  python3-yaml <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
-Homepage: https://www.mkdocs.org/
+Standards-Version: 4.7.0
+Homepage: https://github.com/mkdocs/mkdocs
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mkdocs
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-mkdocs.git
 
@@ -38,10 +41,9 @@
 Architecture: all
 Depends:
  fonts-font-awesome,
- libjs-bootstrap4,
+ libjs-bootstrap5,
  libjs-jquery,
  libjs-lunr,
- libjs-modernizr,
  python3-livereload,
  python3-lunr,
  python3-pkg-resources,
@@ -60,8 +62,7 @@
 Section: doc
 Architecture: all
 Depends:
- fonts-font-awesome,
- libjs-bootstrap4,
+ libjs-bootstrap5,
  libjs-jquery,
  libjs-lunr,
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 
 override_dh_clean:
 	dh_clean
+	rm -rf .mypy_cache
 	for mo_file in `find mkdocs/themes/ -type f -name "*.mo"`; do \
 	    rm -f $${mo_file} ;\
 	done

## python-mkdocs 1.6.1+dfsg1

=== debian/changelog ===
python-mkdocs (1.6.1+dfsg1-2) unstable; urgency=medium

  * [89e7c83] d/control: Add missing additional B-D for tests
    (Closes: #1099336)
  * [dcf0e9a] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 16 Mar 2025 12:24:59 +0200

python-mkdocs (1.6.1+dfsg1-1) unstable; urgency=medium

  [ Karsten Schöke ]
  * [f137a0d] d/copyright: Be more precise on lunr.*.js files
  * [6c108ae] d/README.source: Note for resumption of lunr languages

  [ Carsten Schoenert ]
  * [2c7fe8d] d/copyright: Remove commented lines in Files-Excluded
  * [079b816] d/gbp.conf: Remove commented line here too
  * [c55ea5d] New upstream version 1.6.1+dfsg1
  * [039efcb] Rebuild patch queue from patch-queue branch
    Removed patch:
    debian-hacks/Disable-non-English-search-support.patch
  * [da7e23f] d/control: Bump Standards-Version to 4.7.2
    No further changes needed.
  * [b66c21b] d/s/lintian-overrides: Ignore */lunr-language/*.js

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 01 Mar 2025 15:18:31 +0200

python-mkdocs (1.6.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * d/gbp.conf: re enable lunr-languages library
    this file need by testing mkdocs-static-i18n
  * d/copyright: insert lunr-languages license

 -- Karsten Schöke <karsten.schoeke@geobasis-bb.de>  Tue, 18 Feb 2025 11:25:34 +0100

python-mkdocs (1.6.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Remove extraneous dependency on python3-pkg-resources (Closes: #1083664)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 19 Jan 2025 00:09:07 +0100

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
 Build-Depends-Indep:
  ghp-import (>= 1.0) <!nocheck>,
  mkdocs-autorefs <!nodoc>,
+ mkdocs-get-deps <!nocheck>,
  mkdocs-click <!nocheck> <!nodoc>,
  mkdocs-literate-nav <!nodoc>,
  mkdocs-redirects <!nodoc>,
@@ -32,7 +33,7 @@
  python3-watchdog <!nocheck>,
  python3-yaml <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/mkdocs/mkdocs
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mkdocs
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-mkdocs.git
@@ -46,7 +47,6 @@
  libjs-lunr,
  python3-livereload,
  python3-lunr,
- python3-pkg-resources,
  sphinx-rtd-theme-common,
  ${misc:Depends},
  ${python3:Depends}

=== debian/rules ===
--- 
+++ 
@@ -12,22 +12,19 @@
 %:
 	dh $@ --buildsystem=pybuild
 
-override_dh_clean:
-	dh_clean
+execute_after_dh_clean:
 	rm -rf .mypy_cache
 	for mo_file in `find mkdocs/themes/ -type f -name "*.mo"`; do \
 	    rm -f $${mo_file} ;\
 	done
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=. python3 -m mkdocs build -v -d docs.debian/html
 	rm -rf docs.debian/html/__pycache__
 endif
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	rm debian/mkdocs/usr/bin/mkdocs
 	find debian -name LICENSE -exec rm -f {} \;;
 	find debian -type d -empty -delete
@@ -37,8 +34,7 @@
 	dh_installman
 
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-override_dh_installdocs:
-	dh_installdocs
+execute_after_dh_installdocs:
 	./debian/scripts/dh_mkdocs
 endif
